//+------------------------------------------------------------------+
//|                                                  ExLib_Timer.mqh |
//|                                    (c) 2008 by Sergey A. Gridnev |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "(c) 2008 by Sergey A. Gridnev"
#property link      "*"

//+------------------------------------------------------------------+
//| EX4 imports                                                      |
//+------------------------------------------------------------------+
#import "ExLib_Timer.ex4"
//
// .
//   <CounterID>      "0",
// ..  "0"     
//   .
//
void timer_Init();
//  
//
int timer_NumberTotal();
//     
// :
//      
//
int timer_NumberUsed();
//    
// :
//      
//
int timer_NumberFree();
//    () 
// :
//      
//
void timer_ResetAll();
//  ()  
//
bool timer_Reset(int CounterID);
//  ()   
// :
//    <CounterID> -  
// :
//    true  -  
//    false -      
//
void timer_DeleteAll();
//   
//
bool timer_Delete(int CounterID);
//    
// :
//    <CounterID> -  
// :
//    true  -  
//    false -      
//
bool timer_StartWaitable(int CounterID, int timeslice);
//    " "
// :
//    <CounterID> -   (  ,  )
//    <timeslice> -   ()
// :
//    true  -  
//    false -   
//
bool timer_StartStopwatch(int CounterID);
//    ""
// :
//    <CounterID> -   (  ,  )
// :
//    true  -  
//    false -   
//
int timer_GetCounter(int CounterID);
//      <CounterID>
// :
//       "" -  ,    
//       " " -  ,     
// :
//          <CounterID>  -1
//
int timer_GetType(int CounterID);
//      <CounterID>
// :
//    <CounterID> -  
// :
//     1 -   ""
//    -1 -   " "
//     0 -      
//
int timer_GetCounterIDbyPOS(int CounterPOS);
//        
// :
//    <CounterPOS>   -     
// :
//       "0",    
// :
//    <CounterPOS>     0    ,
//      timer_NumberUsed(),     0
//
#import
//+------------------------------------------------------------------+